/* This is the full-width footer container */
.site-footer {
  background: var(--color-bg-main); /* A light gray background */
  padding: 5rem 0 3rem 0;
}

/* * This is the .content-wrapper *inside* the footer.
 * We're re-using our wrapper class.
 */
.site-footer .content-wrapper {
  /* --- Mobile Default (Stacked) --- */
  display: flex;
  flex-direction: column-reverse;
  align-items: flex-start; /* Center-align on mobile */
  gap: 1.5rem;
}

.site-footer .copyright {
  margin: 0;
  font-size: 1rem;
  color: var(--color-secondary);
}

.site-footer .social-links {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  gap: 1rem;
}

.site-footer .social-links a {
  text-decoration: none;
  color: var(--color-secondary);
  
  font-family: "Geist", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
  font-size: 1rem;
  letter-spacing: -0.02rem;
}

/* --- Desktop Styles --- */
@media (min-width: 768px) {
  .site-footer .content-wrapper {
    /* Spread items out on desktop */
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
  }
    @media (hover: hover) {
    /* Hover animation */
    .site-footer .social-links a {
    display: inline-block;
    position: relative;
    text-align: center;
    text-decoration: none;
    }

    .site-footer .social-links a::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    background-color: var(--color-secondary);
    bottom: -0.4rem;
    left: 0;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform .3s ease-in-out;
    }

    .site-footer .social-links a:hover::before {
    transform-origin: left;
    transform: scaleX(1);
    }
  }

}